Bug 166008 - Review Request: uw-imap - UW Server daemons for IMAP and POP
Review Request: uw-imap - UW Server daemons for IMAP and POP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
http://apt.kde-redhat.org/apt/fedora/...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-15 14:28 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-22 16:57:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-08-15 14:28:42 EDT
Name:   uw-imap-2004e
Summary:UW Server daemons for IMAP and POP network mail protocols.
Group:  System Environment/Daemons
Description:
The uw-imap package provides UW server daemons for both the IMAP (Internet
Message Access Protocol) and POP (Post Office Protocol) mail access
protocols.  The POP protocol uses a "post office" machine to collect
mail for users and allows users to download their mail to their local
machine for reading. The IMAP protocol allows a user to read mail on a
remote machine without downloading it to their local machine.

SRPM: http://apt.kde-redhat.org/apt/fedora/all/SRPMS.testing/uw-imap-2004e-1.src.rpm
SPEC: http://apt.kde-redhat.org/apt/fedora/SPECS/uw-imap-2004e-1.spec


CHANGELOG (recent): 

* Mon Aug 15 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2004e-1
- imap-2004e
- rename: imap -> uw-imap (yay, we get to drop the Epoch)
- sslcerts=/etc/pki/tls/certs if exists, else /usr/share/ssl/certs

* Fri Apr 29 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1:2004d-1
- imap-2004d
- imap-libs -> lib%%{soname}%%{version} (ie, libc-client2004d), so we can
  have multiple versions (shared-lib only) installed
- move mlock to -utils.
- revert RFC2301, locks out too many folks where SSL is unavailable

* Thu Apr 28 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1:2004-0.fdr.11.c1
- change default driver from mbox to mbx
- comply with RFC 3501 security: Unencrypted plaintext passwords are prohibited

* Fri Jan 28 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1:2004-0.fdr.10.c1
- imap-2004c1 security release:
  http://www.kb.cert.org/vuls/id/702777

* Thu Jan 20 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1:2004-0.fdr.9.c
- imap2004c
- -utils: dmail,mailutil,tmail
- -libs: include mlock (so it's available for other imap clients, like pine)
- remove extraneous patches
- %%_sysconfigdir/c-client.cf: use to set MailDir (but don't if upgrading from
  an older version (ie, if folks don't want/expect a change in behavior)
Comment 1 Aurelien Bompard 2005-09-26 04:20:32 EDT
There is a libc-client package in Core, which would conflict with this package.
Since the UW-IMAP server in itself is not of particular interest compared to
dovecot and cyrus, this leads me to a question : what did you want this package
for ? (no offense intended, heh)
Comment 2 Rex Dieter 2005-09-26 07:00:13 EDT
Be assured, this package can install along side Core's libc-client just fine. 
Only imap-devel and libc-client-devel conflict.
Comment 3 Aurelien Bompard 2005-09-26 11:21:46 EDT
OK, I did not check actual file conflict.

Needs work:
* source is not available anymore, please update to 2004g
* Specfile should be in the format %{name}.spec
* Missing SMP flags ( make %{?_smp_mflags} ). If it doesn't build with it,
  please leave a comment
* Duplicate BuildRequires: krb5-devel (required by openssl-devel)
* Let's-Make-Rpmlint-Happy : Summary ends with a dot
* %postun scriptlet for libc-client2004e contains your comment for the next 
scriptlet, and the interpreter is ldconfig, not bash.
* The package should contain the text of the license (in the "CPYRIGHT" file)
* missing dependancy on service (package initscripts) for %post and %postun
* hardcoded /var and /usr in patch0
* hardcoded /etc in the specfile, should be replaced by %{_sysconfdir}. Same
thing for /usr (in %build)
* Prereq is used. It should be Requires(post) and Requires(postun) 
  (Requires(postun) implies Prereq anyway).
* hardcoded /etc in %files, please replace with %{_sysconfdir}
Comment 4 Tom "spot" Callaway 2005-09-26 11:47:11 EDT
I'm not sure this license will fly. UW is notorious for licensing its
applications without permission to modify (pine), and this license looks similar
to me. I'm putting a stop on this until legal reviews the license.
Comment 5 Rex Dieter 2005-09-26 12:05:41 EDT
CPYRIGHT is pretty plain that modified distribution *is* allowed:

(1) modified versions are distributed with source code and
documentation and with permission for others to use any code and
documentation (whether in original or modified versions) as granted
under this license;

(2) if modified, the source code, documentation, and user run-time
elements should be clearly labeled by placing an identifier of origin
(such as a name, initial, or other tag) after the version number;

Now, I consider adding fc/dist_tag sufficient for (2), but we can also it add
(or something else) to the Version if enirely paranoid.
Comment 6 Rex Dieter 2005-09-26 13:25:09 EDT
SRPM: http://apt.kde-redhat.org/apt/fedora/all/SRPMS.stable/uw-imap-2004g-1.src.rpm
SPEC: http://apt.kde-redhat.org/apt/fedora/SPECS/uw-imap-2004g-1.spec

%changelog 
* Mon Sep 26 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2004g-1
- imap-2004g 
- /etc -> %%_sysconfdir
- use %%{?_smp_mflags}
- %%doc CPYRIGHT
Comment 7 Aurelien Bompard 2005-09-26 16:16:54 EDT
Review for version 2004g release 1:
* RPM name is OK
* Source imap-2004g.tar.Z is the same as upstream
* Builds fine in mock
* rpmlints look OK
* File lists look OK
* Work fine

There is still a missing requirement on /sbin/service, since it's used in %post
and %postun. I know that the initscripts package should always be there, but
it's recommended in ScriptletSnippets, so I guess there must be some corner cases...

Please add it and import.
Comment 8 Rex Dieter 2005-09-26 16:19:49 EDT
I didn't include /sbin/service because we already have a Requires: xinetd, and
xinetd already requires /sbin/service.
Comment 9 Tom "spot" Callaway 2005-09-27 10:15:48 EDT
License OK'd by legal.
Comment 10 Rex Dieter 2005-09-27 10:24:31 EDT
Cool, thanks.

Imported into cvs.
Comment 11 Christian Iseli 2007-01-02 19:48:33 EST
Changed summary for tracking purposes.
Comment 12 Rex Dieter 2007-04-02 09:44:07 EDT
Package Change Request
======================
Package Name: uw-imap
Updated Fedora Cc: jorton@redhat.com

+comaintainer
Comment 13 Josh Boyer 2007-04-02 20:31:50 EDT
Comaintainers need to be in the Owners field for the pkg.acl stuff to work.  Do
you really want to add Joe as a Comaintainer?
Comment 14 Jens Petersen 2007-04-03 08:11:53 EDT
(Please set fedora-cvs flag to '?' again with the clarification.  Thanks.)
Comment 15 Rex Dieter 2007-04-03 10:37:20 EDT
OK, one more try:

Package Change Request
======================
Package Name: uw-imap
Updated Fedora Owners:rdieter@math.unl.edu,jorton@redhat.com

+comaintainer jorton
Comment 16 Rex Dieter 2007-04-24 14:41:04 EDT
Package Change Request
======================
Package Name: uw-imap
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.